BigDecimalCachedClass (Groovy 5.0.6)
Description: declaration: package: org.codehaus.groovy.reflection.stdclasses, class: BigDecimalCachedClass

Package org.codehaus.groovy.reflection.stdclasses

# Class BigDecimalCachedClass

java.lang.Object
org.codehaus.groovy.reflection.CachedClass
org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass
org.codehaus.groovy.reflection.stdclasses.BigDecimalCachedClass

public class BigDecimalCachedClass extends DoubleCachedClass

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass

  `CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.reflection.CachedClass

  `classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BigDecimalCachedClass(Class klazz, ClassInfo classInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `coerceArgument(Object argument)`
  `boolean`
  `isDirectlyAssignable(Object argument)`

  ### Methods inherited from class org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass

  `isAssignableFrom`

  ### Methods inherited from class org.codehaus.groovy.reflection.CachedClass

  `addNewMopMethods, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BigDecimalCachedClass

    public BigDecimalCachedClass(Class klazz, ClassInfo classInfo)

- ## Method Details

  - ### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)
    Overrides:
      `isDirectlyAssignable` in class `DoubleCachedClass`

  - ### coerceArgument

    public Object coerceArgument(Object argument)
    Overrides:
      `coerceArgument` in class `DoubleCachedClass`